# -*- encoding: utf-8 -*-
# stub: postrunner 1.0.4 ruby lib

Gem::Specification.new do |s|
  s.name = "postrunner".freeze
  s.version = "1.0.4"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Chris Schlaeger".freeze]
  s.date = "2021-02-14"
  s.description = "PostRunner is an application to manage FIT files\nsuch as those produced by Garmin products like the Forerunner 620 (FR620),\nForerunner 25 (FR25), Fenix 3, Fenix 3HR, Fenix 5 (S and X). It allows you to\nimport the files from the device and analyze the data. In addition to the\ncommon features like plotting pace, heart rates, elevation and other captured\nvalues it also provides a heart rate variability (HRV) and sleep analysis. It\ncan also update satellite orbit prediction (EPO) data on the device to\nspeed-up GPS fix times.  It is an offline alternative to Garmin Connect. The\nsoftware has been developed and tested on Linux but should work on other\noperating systems as well.".freeze
  s.email = ["cs@taskjuggler.org".freeze]
  s.executables = ["postrunner".freeze]
  s.files = ["bin/postrunner".freeze]
  s.homepage = "https://github.com/scrapper/postrunner".freeze
  s.licenses = ["GNU GPL version 2".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 2.4".freeze)
  s.rubygems_version = "3.2.22".freeze
  s.summary = "Application to manage and analyze Garmin FIT files.".freeze

  s.installed_by_version = "3.2.22" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<fit4ruby>.freeze, ["~> 3.8.0"])
    s.add_runtime_dependency(%q<perobs>.freeze, ["~> 4.3.0"])
    s.add_runtime_dependency(%q<nokogiri>.freeze, ["~> 1.10.10"])
    s.add_development_dependency(%q<bundler>.freeze, ["~> 1.6"])
    s.add_development_dependency(%q<rake>.freeze, ["~> 0.9.6"])
    s.add_development_dependency(%q<rspec>.freeze, ["~> 3.6.0"])
    s.add_development_dependency(%q<yard>.freeze, ["~> 0.9.20"])
  else
    s.add_dependency(%q<fit4ruby>.freeze, ["~> 3.8.0"])
    s.add_dependency(%q<perobs>.freeze, ["~> 4.3.0"])
    s.add_dependency(%q<nokogiri>.freeze, ["~> 1.10.10"])
    s.add_dependency(%q<bundler>.freeze, ["~> 1.6"])
    s.add_dependency(%q<rake>.freeze, ["~> 0.9.6"])
    s.add_dependency(%q<rspec>.freeze, ["~> 3.6.0"])
    s.add_dependency(%q<yard>.freeze, ["~> 0.9.20"])
  end
end
